// sharedmem.h : main header file for the sharedmem DLL
//

#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"		// main symbols


// CsharedmemApp
// See sharedmem.cpp for the implementation of this class
//

#define SHARED_MEMORY_SIZE (1*1024)

class CsharedmemApp : public CWinApp
{
public:
	CsharedmemApp();
    char *SharedMemoryPointer(void);
    int SharedMemorySize(void);


private:
    HANDLE Map;
	HANDLE Mutex;
	char *Shared;
    DWORD MapError;
	DWORD MutexError;
	DWORD SharedError;

protected:
    BOOL Initialize(void);

// Overrides
public:
	virtual BOOL InitInstance();

	DECLARE_MESSAGE_MAP()
public:
	virtual int ExitInstance();
};
