// sharedmemtestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "sharedmemtest.h"
#include "sharedmemtestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CsharedmemtestDlg dialog


CsharedmemtestDlg::CsharedmemtestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CsharedmemtestDlg::IDD, pParent)
	, Input(_T(""))
	, Address(_T(""))
	, Area(_T(""))
{
  m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

  Dll = LoadLibrary(_T("C:\\_utek\\Prototipi\\sharedmem\\debug\\sharedmem.dll"));
  SharedMemoryPointer = 0;
  if (Dll)
  {
    GetSharedMemoryPointer = (LPGetSharedMemoryPointer)GetProcAddress(Dll,"GetSharedMemoryPointer");
	GetSharedMemorySize = (LPGetSharedMemorySize)GetProcAddress(Dll,"GetSharedMemorySize");

    if(GetSharedMemoryPointer 
	  && GetSharedMemorySize)
    {
      SharedMemoryPointer = GetSharedMemoryPointer();
	  SharedMemorySize = GetSharedMemorySize();
	  //if(SharedMemoryPointer
	  //  && GetSharedMemorySize)
	  //strcpy_s(SharedMemoryPointer,sizeof(st),"al funzione...");
      //strcpy_s(st,sizeof(st),SharedMemoryPointer);
    }
  }
}

CsharedmemtestDlg::~CsharedmemtestDlg()
{
  if(Dll)
    FreeLibrary(Dll);
}



void CsharedmemtestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_INPUT, Input);
	DDX_Text(pDX, IDC_EDIT_ADDR, Address);
	DDX_Text(pDX, IDC_EDIT_AREA, Area);
}

BEGIN_MESSAGE_MAP(CsharedmemtestDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUTTON_WRITE, &CsharedmemtestDlg::OnBnClickedButtonWrite)
	ON_BN_CLICKED(IDC_BUTTON_UPDATE, &CsharedmemtestDlg::OnBnClickedButtonUpdate)
END_MESSAGE_MAP()


// CsharedmemtestDlg message handlers

BOOL CsharedmemtestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CsharedmemtestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CsharedmemtestDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CsharedmemtestDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


void CsharedmemtestDlg::OnBnClickedButtonWrite()
{
  // TODO: Add your control notification handler code here
  int addr;

  USES_CONVERSION;

  if(!SharedMemoryPointer)
  {
  }
  else
  {
	UpdateData(TRUE);
	addr = _wtoi(Address.GetString());
    CW2A pc(Input.GetString());
	int len = (int)strlen(pc);
	if((addr + len) <= SharedMemorySize)
	{
	  memcpy(SharedMemoryPointer + addr,pc,len);
      OnBnClickedButtonUpdate();
	}
  }
}

void CsharedmemtestDlg::OnBnClickedButtonUpdate()
{
  // TODO: Add your control notification handler code here
  int pos = 0;
  int rSiz = 16;
  int i,e,siz;
  char row[256];
  char bin[256];
  char txt[256];
  int MemSize = SharedMemorySize;

  MemSize = 224;
  Area.Empty();
  while(pos < MemSize)
  {
    siz = rSiz;
	if((pos + siz) >= SharedMemorySize)
	  siz = SharedMemorySize - pos;
	memcpy(row,SharedMemoryPointer+pos,siz);
	for(i=0;i<rSiz;i++)
	{	  
	  if(i < siz)
	  {
	    e = row[i] & 0xFF;
	    //sprintf(&bin[i*3],"%02X ",e);
	    sprintf_s(&bin[i*3],sizeof(bin) - i*3,"%02X ",e);
		if(e >= 0x20 && e <= 0x7F)
	      txt[i] = e;
		else
		  txt[i] = '.';
	  }
	  else
	  {
	    strcpy_s(&bin[i*3],sizeof(bin) - i*3,"   ");
        txt[i] = ' ';
	  }
	}
	txt[i] = 0;
    CA2W pb(bin);
	CA2W pt(txt);
	CString st;
	st.Format(_T("%4d  %s"),pos,pb);
	st.AppendFormat(_T(" %s\r\n"),pt);

	Area += st;
	pos += siz;
  }
  UpdateData(FALSE);
}
