// sharedmemtestDlg.h : header file
//

#pragma once

typedef char* (CALLBACK* LPGetSharedMemoryPointer)(void);
typedef int (CALLBACK* LPGetSharedMemorySize)(void);


// CsharedmemtestDlg dialog
class CsharedmemtestDlg : public CDialog
{
// Construction
public:
	CsharedmemtestDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CsharedmemtestDlg();

// Dialog Data
	enum { IDD = IDD_SHAREDMEMTEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

private:
	CString Input;
	CString Address;
	CString Area;
	HINSTANCE Dll;

    char *SharedMemoryPointer;
	int SharedMemorySize;
    LPGetSharedMemoryPointer GetSharedMemoryPointer;
    LPGetSharedMemorySize GetSharedMemorySize;


// Implementation
protected:
	HICON m_hIcon;

// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonWrite();
public:
	afx_msg void OnBnClickedButtonUpdate();
};
